#ifndef _HAVE_SIMPLELISTENER_H
#define _HAVE_SIMPLELISTENER_H

#include <QWidget>
#include "OscMethod.h"

class QTextEdit;
class QHBoxLayout;
class QMutex;

class SimpleListener : public QWidget {
    Q_OBJECT

    public:
    SimpleListener(QWidget* p=0);
    ~SimpleListener() {}

    AbstractOscMethod* oscMethod() { return dynamic_cast<AbstractOscMethod*>(_oscm); }

    public slots:
        void oscMessage(const OscMessage*);

    private:
        OscMethod* _oscm;
        QTextEdit* _text;
        QHBoxLayout* _hbl;
        QMutex* _mutex;
};


#endif //_HAVE_SIMPLELISTENER_H


