#ifndef _HAVE_SENDER_H
#define _HAVE_SENDER_H

#include <QtGui/QWidget>
#include <QtNetwork/QUdpSocket>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>


class Sender : public QWidget {
    Q_OBJECT

    static const int port = 7000;
    
    public:
        Sender();
        ~Sender();

    public slots:
        void sendMessage();

    private:
        QLineEdit* _line;
        QPushButton* _btn;
        QUdpSocket* _sock;

};



#endif //_HAVE_SENDER_H


